#### Previous topic

scipy.spatial.distance.rogerstanimoto

#### Next topic

scipy.spatial.distance.seuclidean

# scipy.spatial.distance.russellrao

`scipy.spatial.distance.``russellrao`(u, v)

  Computes the Russell-Rao dissimilarity between two boolean 1-D arrays.

  The Russell-Rao dissimilarity between two boolean 1-D arrays, u and v, is defined as

  \[\frac{n - c_{TT}} {n}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  russellrao : double

  > The Russell-Rao dissimilarity between vectors u and v.